public class ExperimentConfiguration {
   public ExperimentConfiguration () {

      float hight = 3f;      // f: float
      FixedHook hook = new FixedHook(hight);

      float mass = 1f;       // [k]
      Vector2D speed = new Vector2D();   //0.0f [m/s]
      Vector2D pos = new Vector2D(1,2);
      Block block1 = new Block(mass, pos, speed);
      pos = new Vector2D(-0.3,0.2);
      Block block2 = new Block(mass, pos, speed);

      float restLength = 1.0f;   // [m]
      float stiffness = 10f;    // [N/m]
      Spring spring1 = new Spring (restLength, stiffness);
      spring1.attachAEnd(hook);
      spring1.attachBEnd(block1);
      Spring spring2 = new Spring (restLength, stiffness);
      spring2.attachAEnd(block1);
      spring2.attachBEnd(block2);

      elements = new PhysicsElement[5];
      elements[0] = hook;
      elements[1] = spring1;
      elements[2] = block1;
      elements[3] = spring2;
      elements[4] = block2;
   }
   public void addItselfTo (MyWorld world) {
      for ( PhysicsElement e: elements )
         world.addElement (e);
   }
   private PhysicsElement[] elements;
}
